summaryrefslogtreecommitdiffstats
path: root/network/avahi
diff options
context:
space:
mode:
author David Somero2010-05-11 22:54:38 +0200
committer Robby Workman2010-05-11 22:54:38 +0200
commit66e3f7d0bdcb60b0ba015ba3959124a80a69a99a (patch)
tree170395f0eb74a4d6cba5ff4244d46bf4875426bf /network/avahi
parentc6b2256866321142ccacae2a6c3a113d3363b130 (diff)
downloadslackbuilds-66e3f7d0bdcb60b0ba015ba3959124a80a69a99a.tar.gz
network/avahi: Added to 12.1 repository
Diffstat (limited to 'network/avahi')
-rw-r--r--network/avahi/README14
-rw-r--r--network/avahi/README.SBo19
-rw-r--r--network/avahi/avahi.SlackBuild108
-rw-r--r--network/avahi/avahi.info8
-rw-r--r--network/avahi/doinst.sh38
-rw-r--r--network/avahi/slack-desc19
6 files changed, 206 insertions, 0 deletions
diff --git a/network/avahi/README b/network/avahi/README
new file mode 100644
index 0000000000..168084b8fe
--- /dev/null
+++ b/network/avahi/README
@@ -0,0 +1,14 @@
+Avahi is an implementation of the DNS Service Discovery and Multicast
+DNS specifications for Zeroconf Computing. It uses D-BUS for
+communication between user applications and a system daemon. The
+daemon is used to coordinate application efforts in caching replies,
+necessary to minimize the traffic imposed on networks. This kind of
+technology is already found in Apple MacOS X (branded Rendezvous
+Bonjour and sometimes Zeroconf) and is very convenient.
+
+Requires libdaemon, which is also available at SlackBuilds.org.
+
+You will need to have an "avahi" user and group on the target system
+prior to installing the avahi package. See README.SBo in this
+directory (it is also installed to the package docmentation directory)
+for more information and for setup notes.
diff --git a/network/avahi/README.SBo b/network/avahi/README.SBo
new file mode 100644
index 0000000000..6bd5c7b886
--- /dev/null
+++ b/network/avahi/README.SBo
@@ -0,0 +1,19 @@
+README.SBo (avahi)
+
+First, be sure you have an "avahi" user and group. Do this *before*
+you install the avahi package. We recommend uid/gid of 214, but
+adjust as needed for your system. Something like this should suffice:
+ # groupadd -g 214 avahi
+ # useradd -u 214 -g 214 -c "Avahi" -d /dev/null -s /bin/false avahi
+
+Ask DBUS to re-read its policies; this only has to be done once:
+ # /etc/rc.d/rc.messagbus reload
+ OR
+ # kill -HUP $(cat /var/run/dbus/pid)
+
+Now start the Avahi daemon:
+ # /etc/rc.d/rc.avahidaemon start
+
+Optionally start the unicast DNS configuration daemon:
+ # /etc/rc.d/rc.avahidnsconfd start
+
diff --git a/network/avahi/avahi.SlackBuild b/network/avahi/avahi.SlackBuild
new file mode 100644
index 0000000000..c7462975dd
--- /dev/null
+++ b/network/avahi/avahi.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for avahi
+
+# Copyright 2008 David Somero <dsomero@hotmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=avahi
+VERSION=0.6.22
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "${ARCH}" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --disable-qt4 \
+ --disable-mono \
+ --disable-monodoc \
+ --disable-autoipd \
+ --enable-core-docs \
+ --enable-compat-howl \
+ --enable-compat-libdns_sd \
+ --with-dbus-sys=/etc/dbus-1/system.d \
+ --with-avahi-user=avahi \
+ --with-avahi-group=avahi \
+ --with-avahi-priv-access-group=root \
+ --with-distro=slackware \
+ --program-prefix= \
+ --program-suffix= \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE docs/* $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mv $PKG/etc/rc.d/rc.avahidaemon $PKG/etc/rc.d/rc.avahidaemon.new
+mv $PKG/etc/rc.d/rc.avahidnsconfd $PKG/etc/rc.d/rc.avahidnsconfd.new
+mv $PKG/etc/avahi/avahi-daemon.conf $PKG/etc/avahi/avahi-daemon.conf.new
+mv $PKG/etc/dbus-1/system.d/avahi-dbus.conf \
+ $PKG/etc/dbus-1/system.d/avahi-dbus.conf.new
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/avahi/avahi.info b/network/avahi/avahi.info
new file mode 100644
index 0000000000..73375f936a
--- /dev/null
+++ b/network/avahi/avahi.info
@@ -0,0 +1,8 @@
+PRGNAM="avahi"
+VERSION="0.6.22"
+HOMEPAGE="http://avahi.org/"
+DOWNLOAD="http://avahi.org/download/avahi-0.6.22.tar.gz"
+MD5SUM="c84b1a8a23126e188426728710414dc8"
+MAINTAINER="David Somero"
+EMAIL="dsomero@hotmail.com"
+APPROVED="rworkman"
diff --git a/network/avahi/doinst.sh b/network/avahi/doinst.sh
new file mode 100644
index 0000000000..573ecf08fa
--- /dev/null
+++ b/network/avahi/doinst.sh
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+# Keep same perms on rc.avahidaemon.new:
+if [ -e etc/rc.d/rc.avahidaemon ]; then
+ cp -a etc/rc.d/rc.avahidaemon etc/rc.d/rc.avahidaemon.new.incoming
+ cat etc/rc.d/rc.avahidaemon.new > etc/rc.d/rc.avahidaemon.new.incoming
+ mv etc/rc.d/rc.avahidaemon.new.incoming etc/rc.d/rc.avahidaemon.new
+fi
+
+# Keep same perms on rc.avahidnsconfd.new:
+if [ -e etc/rc.d/rc.avahidnsconfd ]; then
+ cp -a etc/rc.d/rc.avahidnsconfd etc/rc.d/rc.avahidnsconfd.new.incoming
+ cat etc/rc.d/rc.avahidnsconfd.new > etc/rc.d/rc.avahidnsconfd.new.incoming
+ mv etc/rc.d/rc.avahidnsconfd.new.incoming etc/rc.d/rc.avahidnsconfd.new
+fi
+
+config etc/rc.d/rc.avahidaemon.new
+config etc/rc.d/rc.avahidnsconfd.new
+config etc/avahi/avahi-daemon.conf.new
+config etc/dbus-1/system.d/avahi-dbus.conf.new
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/network/avahi/slack-desc b/network/avahi/slack-desc
new file mode 100644
index 0000000000..a9e3c2a2ea
--- /dev/null
+++ b/network/avahi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+avahi: avahi (service discovery aka zeroconf)
+avahi:
+avahi: Avahi is an Implementation the DNS Service Discovery and Multicast
+avahi: DNS specifications for Zeroconf Computing. It uses D-BUS for
+avahi: communication between user applications and a system daemon. The
+avahi: daemon is used to coordinate application efforts in caching replies,
+avahi: necessary to minimize the traffic imposed on networks. This kind of
+avahi: technology is already found in Apple MacOS X (branded Rendezvous
+avahi: Bonjour and sometimes Zeroconf) and is very convenient.
+avahi:
+avahi: